GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Slots | Public Member Functions | Private Slots | Private Attributes | List of all members
GpgFrontend::UI::KeyUploadDialog Class Reference
Inheritance diagram for GpgFrontend::UI::KeyUploadDialog:
Collaboration diagram for GpgFrontend::UI::KeyUploadDialog:

## Public Slots
void | SlotUpload ()

## Public Member Functions
| KeyUploadDialog (const KeyIdArgsListPtr &keys_ids, QWidget *parent)
| Construct a new Key Upload Dialog object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Slots
void | slot_upload_key_to_server (const GpgFrontend::ByteArray &keys_data)
void | slot_upload_finished ()

## Private Attributes
KeyListPtr | m_keys_
QByteArray | m_key_data_

## Additional Inherited Members
Protected Member Functions inherited from GpgFrontend::UI::GeneralDialog
void | setPosCenterOfScreen ()
void | movePosition2CenterOfParent ()

## Constructor & Destructor Documentation

## ◆ KeyUploadDialog()

GpgFrontend::UI::KeyUploadDialog::KeyUploadDialog | ( | const KeyIdArgsListPtr & | keys_ids,
|  | QWidget * | parent
| ) |  |
| explicit

Construct a new Key Upload Dialog object.

Parameters

  keys_ids |
  parent |

## Member Function Documentation

## ◆ slot_upload_key_to_server

void GpgFrontend::UI::KeyUploadDialog::slot_upload_key_to_server | ( | const GpgFrontend::ByteArray & | keys_data | ) |
| private slot

Parameters

  keys_data |

References GpgFrontend::UI::SettingsObject::Check().

The documentation for this class was generated from the following files:

- src/ui/dialog/import_export/KeyUploadDialog.h
- src/ui/dialog/import_export/KeyUploadDialog.cpp